# Class FailoverLoop

java.lang.Object
org.mariadb.jdbc.internal.failover.thread.TerminableRunnable
org.mariadb.jdbc.internal.failover.thread.FailoverLoop

All Implemented Interfaces:
  `Runnable`

public class FailoverLoop extends TerminableRunnable

## Constructor Summary

Constructors
Constructor
Description
`FailoverLoop(ScheduledExecutorService scheduler)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addListener(Listener listener)`
`protected void`
`doRun()`
`static void`
`removeListener(Listener listener)`

### Methods inherited from class TerminableRunnable

`blockTillTerminated, isUnschedule, run, unscheduleTask`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FailoverLoop

public FailoverLoop(ScheduledExecutorService scheduler)

## Method Details

### addListener

public static void addListener(Listener listener)

### removeListener

public static void removeListener(Listener listener)

### doRun

protected void doRun()

Specified by:
  `doRun` in class `TerminableRunnable`